@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;300;400;500;600;800&family=Roboto:wght@100;300;400;500;700&display=swap');

body{
background-color: #8fd8ff;
font-size: 22px;
margin: 0;
padding: 0;
}

header{
    background-color: #2ea5e4;
    display: grid;
    grid-template-columns: 150px auto;
}

nav {
    display: flex;
    justify-content: space-around;
}

h2 {
    margin: 0;
}

.rivers-card3 h2 {
    display: grid;
    grid-column: 2;
    grid-row: 1;
}

.rivers-card1 h2 {
    display: grid;
    grid-column: 2;
    grid-row: 1;
}

.rivers-card1 h2, .rivers-card2 h2, .rivers-card3 h2 {
    /* display: grid; */
    /* grid-row: 1; */
    /* grid-column: 2; */
    background-color: #2ea5e4;
    border-radius: 24px;
    padding-top: 19px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    color: #8fd8ff;
}

.river-txt3 {
    display: grid;
    grid-row: 1;
}

rivers-card3 h2 {
    display: grid;
}

.rivers-card2 h2 {
    display: grid;
    grid-column: 1;
    grid-row: 1;
}

.rivers-card2 {
    grid-gap: 2%;
    padding-top: 35px;
}

.home-title{
    font-family: 'Noto Sans JP', sans-serif;
    font-size: 2em;
    margin-top: 10px;
}

.logo{
    width: 80px;
}

.icon {
    width: 80px;
    padding-top: 10px;
}

#hero-img{
    width: 100%;
    margin-top: 40px;  
}

.home-title{
    color: white;
}

nav a {
    text-align: center;
    color: white;
    text-decoration: none;
    padding: 35px;
}

nav a:hover{
    background-color: #f5803b;
    color: white;
}

main section img  {
    box-sizing: border-box;
}

img.card-img-river {
    width: 520px;
    height: 520px;
    border-radius: 24px;
}

.rivers-card3 img {
    width: 520px;
    display: grid;
    grid-column: 1;
    padding-left: 2%;
    grid-row: 1;
    height: 520px;
}

.rivers-card1 img {
    padding-left: 2%;
}

.rivers-card2 img {
    display: grid;
    grid-column: 2;
    padding-right: 2%;
    grid-row: 1;
}

.book, .join{
    background-color: #2ea5e4;
    color: white;
    text-decoration: none;
    font-size: 18px;
    padding: 15px 30px;
    margin-top: 50px;
    border-radius: 5px;
}

h4{
    color: white;
}

.book:hover, .join:hover{
    background-color: #f5803b;
    color: white;
}

#content {
    max-width: 1600px;
    margin: 0 auto;
}

.home-grid {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
}

.home-grid h2 {
    color: #6f7364;
}

#hero {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    margin-top: -100px; 
}

#hero-box {
    grid-column: 1/4;
    grid-row: 1/3;
    z-index: -1;
}

#hero-msg {
    grid-column: 2/3;
    grid-row: 1/2;
    margin-top: 100px;
}

#hero-msg h1, #hero-msg h4 {
    text-align: center;
}

.button-box {
    text-align: center;
}

main section {
    text-align: center;
}

.river-txt2 {
    display: grid;
}


.rivers-card3 {
    display: grid;
    grid-gap: 2%;
    padding-top: 35px;
}

section.rivers-card2 {
    display: grid;
}


.rivers-card2 p {
    display: grid;
    grid-column: 1;
    grid-row: 1;
}

p {display: grid;grid-row: 1;grid-column: 2;margin: 15px;padding-top: 56px;font-size: 22px;color: white;}



#background {
    height: 725px;
    background-color: #2ea5e4;
}

.msg{
    background-color: #f9ca2c;
    line-height: 1.5em;
    padding: 35px;
}
.msg h2{
    color: white;
    font-family: 'Noto Sans JP', sans-serif;
}

#logo_link {
    padding-top: 5px;
    justify-self: center;
    align-self: center;
}

.msg p{
    color: white;
    font-size: 13px;
    padding-bottom: 15px;
}

.rivers-card, .camping-card, .rapids-card {
    margin: 200px 0;
}

.rivers-card{
    grid-column: 2/4;
    grid-row: 2/3;
}

.camping-card {
    grid-column: 5/7;
    grid-row: 2/3;
}

.rapids-card {
    grid-column: 8/10;
    grid-row: 2/3;
}

#background {
    grid-column: 1/11;
    grid-row: 4/9;
}

.mountains {
    width: 100%;
    grid-column: 2/7;
    grid-row: 5/8;
    box-shadow: 5px 5px 10px #6f7364;
    z-index: 1;
}

.msg {
    background-color: #6f7364;
    padding: 35px;
    grid-column: 6/10;
    grid-row: 6/7;
    box-shadow: 5px 5px 10px #6f7364;
    z-index: 2;
}

.card-img, .mountains {
    width: 100%;
}

.card-img{
    border: 10px solid #6f7364;
    transition: transform .5s;
    box-shadow: 5px 5px 10px #6f7364;
}

.card-img:hover {
    opacity: .6;
    transform: scale(1.1);
}



footer{
    background-color: #2ea5e4;
    color: white;
    padding: 25px 50px;
    margin-top: 200px; 
    display: flex;
    justify-content: space-around;
    align-items: center;
}
footer a{
    color: white;
    text-decoration: none;
}

footer p{
    font-size: 1.2em;
}

footer p a:hover{
    text-decoration: underline;
}

footer a:hover{
    color: white;
}

footer .social img{
    padding-top: 15px;
}

/* Rivers Subpage */

#hero-img-river{
    width: 100%;
}

.home-title-river {
    text-align: center;
    font-family: 'Noto Sans JP', sans-serif;
}

h1.home-title-river {
    font-size: 65px;
    margin: 35px;
}

.home-grid-river{
    display: grid;
}

.card-img-river1, .card-img-river2, .card-img-river3 {
    border-radius: 24px;
}

.rivers-card1{
    display: grid;
    grid-gap: 2%;
}

.card-img-river1{
    width: 520px;
    grid-column: 1;
    grid-row: 1;
    height: 520px;
}

.river-txt1{
    display: grid;
    grid-column: 2/3;
}






  
  









@media screen and (max-width: 900px) {
    #hero, .home-grid {
        display: block;
        height: auto;
    }
    nav, footer {
        flex-direction: column;
    }
    nav a {
        display: block;
        padding: 15px;
    }
    #hero {
        margin-top: 0;
    }
    #hero-msg {
        margin-top: 0;
    }
    #hero-msg h4 {
        display: none;
    }
    .home-title {
        font-size: 25px;
        color: #6f7364;
    }
    .rivers-card, .camping-card, .rapids-card { 
        margin: 50px auto;
        width: 60%;
    }
    #background {
        display: none;
    }
    .mountains, .msg {
        width: 80%;
        display: block;
        margin: 0 auto;
    }
    footer {
        margin-top: 25px;
    }

    /* 
    h1.home-title-river {
        font-size: 65px;
        margin: 35px;
    }
    
    .home-grid-river{
        display: grid;
    }
    
    .card-img-river1, .card-img-river2, .card-img-river3 {
        border-radius: 24px;
    }
    
    .rivers-card1{
        display: block;
    }
    
    .card-img-river1{
        width: 80%;  
    }
    

    p {
        display: grid;
        grid-row: 1;
        grid-column: 2;
        margin: 15px;
        padding-top: 56px;
        font-size: 22px;
        color: white;
    }


    
    
    .rivers-card2 p {

    }

    .river-txt2 {

    }
    
    img.card-img-river {

    }
    
    .rivers-card3 img {

    }
    
    .rivers-card1 img {

    }
    
    .rivers-card2 img {
    }

    h2 {
        margin: 0;
    }
    
    .rivers-card3 h2 {

    }
    
    .rivers-card1 h2 {

    }
    
    .rivers-card1 h2, .rivers-card2 h2, .rivers-card3 h2 {
        display: grid; 
        grid-row: 1; 
        grid-column: 2;
        background-color: #2ea5e4;
        border-radius: 24px;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        color: #8fd8ff;
    }
    
    .river-txt3 {

    }
    
    rivers-card3 h2 {

    }
    
    .rivers-card2 h2 {

    }
    
    .rivers-card2 {

    }
    
    Rivers Subpage */
}